<template>
  <div class="h-16 bg-white flex items-center shadow">
    <div class="lg:w-4/5 md:w-11/12 m-auto flex flex-row justify-start">
      <ul class="flex flex-row">
        <li
          v-for="nav in navigation"
          :key="nav.id"
          class="flex items-center w-auto cursor-pointer hover:text-red-500 hover:border-red-500 border-b-2 border-transparent h-16 first:px-0 px-8"
          :class="
            isActive(nav.href) && 'border-b-2 border-red-500 text-red-500'
          "
          @click="navigate(nav.href)"
        >
          {{ nav.label }}
        </li>
      </ul>
    </div>
  </div>
</template>

<script lang="ts">
import { defineComponent } from 'vue';
import { useRouter } from 'vue-router';

export default defineComponent({
  name: 'navigation',
  setup() {
    const router = useRouter();

    const navigation = [
      { id: 1, label: 'Dashboard', href: '/dashboard' },
      { id: 2, label: 'Clients', href: '/clients' },
      { id: 3, label: 'Users', href: '/users' },
      { id: 4, label: 'Roles', href: '/roles' },
    ];

    function isActive(path: string): boolean {
      return router.currentRoute.value.fullPath.includes(path);
    }

    function navigate(path: string): void {
      router.push(path);
    }

    return { navigation, isActive, navigate };
  },
});
</script>
